## org.compiere.report
Class ReportStarter.FileFilter

    java.lang.Object
      org.compiere.report.ReportStarter.FileFilter

All Implemented Interfaces:
  java.io.FilenameFilter

Enclosing class:
  ReportStarter

class ReportStarter.FileFilter
extends java.lang.Object
implements java.io.FilenameFilter

Field Summary
`private java.io.File` `directory`
`private java.lang.String` `extension`
`private java.lang.String` `reportStart`

Constructor Summary
`ReportStarter.FileFilter(java.lang.String reportStart, java.io.File directory, java.lang.String extension)`

Method Summary
`boolean` `accept(java.io.File file, java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reportStart

    private java.lang.String reportStart

### directory

    private java.io.File directory

### extension

    private java.lang.String extension

Constructor Detail

### ReportStarter.FileFilter

    public ReportStarter.FileFilter(java.lang.String reportStart,
                                    java.io.File directory,
                                    java.lang.String extension)

Method Detail

### accept

    public boolean accept(java.io.File file,
                          java.lang.String name)

  Specified by:
    `accept` in interface `java.io.FilenameFilter`